/*
 * Copyright (C) 2020  Christopher J. Howard
 *
 * This file is part of Antkeeper source code.
 *
 * Antkeeper source code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Antkeeper source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Antkeeper source code.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "cli.hpp"

std::string cli::interpret(const std::string& line) const
{
	std::istringstream stream(line);
	std::string command_name;
	stream >> command_name;

	if (auto it = commands.find(command_name); it != commands.end())
	{
		return it->second(line.substr(command_name.length() + 1));
	}

	return std::string();
}

void cli::unregister_command(const std::string& name)
{
	if (auto it = commands.find(name); it != commands.end())
		commands.erase(it);
}
